Skip to content
GET/{organizationId}/extensions/installed/{extensionId}/synchronizationStatus

Get synchronization status

Returns the synchronization status from an installed extension

Required permissions:

  • organization.read

Path Parameters

organizationIdstringrequired
extensionIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/extensions/installed/{extensionId}/synchronizationStatus
curl --request GET 'https://cloud.campai.com/api/{organizationId}/extensions/installed/{extensionId}/synchronizationStatus' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

ignoredintegerrequired

minimum: 0

maximum: 9007199254740991

synchronizedintegerrequired

minimum: 0

maximum: 9007199254740991

failedintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "ignored": 0,
  "synchronized": 0,
  "failed": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}